{{ if .Params.difficulty }}
{{ $difficulty := lower .Params.Difficulty }}
{{ if eq $difficulty "easy" }}
<a class="tag is-success" href="/difficulty/{{lower $difficulty}}">
    <b>{{ .Params.Difficulty | humanize }}</b>
</a>
{{ else if eq $difficulty "medium" }}
<a class="tag is-warning" href="/difficulty/{{lower $difficulty}}">
    <b>{{ .Params.Difficulty | humanize }}</b>
</a>
{{ else if eq $difficulty "hard" }}
<a class="tag is-danger" href="/difficulty/{{lower $difficulty}}">
    <b>{{ .Params.Difficulty | humanize }}</b>
</a>
{{ else }}
<a class="tag is-primary" href="/difficulty/{{lower $difficulty}}">
    <b>{{ .Params.Difficulty | humanize }}</b>
</a>
{{ end }}
{{ end }}